﻿using System;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace MvcDemo.Areas.HttpHeaders
{
    public class HttpHeadersAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "HttpHeaders";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {
            context.MapRoute(
                "HttpHeaders_default",
                "HttpHeaders/{controller}/{action}/{id}",
                new { controller = "Home", action = "Index", id = UrlParameter.Optional },
                new { controller = new IsNot("SecurityHeaders")},
                new[] { "MvcDemo.Areas.HttpHeaders.Controllers" }
            );
        }
    }

    public class IsNot : IRouteConstraint
    {
        private string _name = String.Empty;

        public IsNot(string name)
        {
            _name = name;
        }

        public bool Match(HttpContextBase httpContext, Route route, string parameterName, RouteValueDictionary values,
                          RouteDirection routeDirection)
        {
            return !_name.Equals(values[parameterName].ToString());
        }
    }
}
