﻿using System.Web.Mvc;
using NWebsec.HttpHeaders;
using NWebsec.Mvc.HttpHeaders;

namespace MvcDemo.Areas.SecurityHeaders.Controllers
{
    public class XFrameOptionsController : Controller
    {
        //
        // GET: /SecurityHeaders/XFramesOptions/

        public ActionResult Index()
        {
            var helper = new UrlHelper(Request.RequestContext);
            ViewBag.IframeDeny = helper.Action("Deny");
            ViewBag.IframeSameOrigin = helper.Action("SameOrigin");
            return View();
        }

        [XFrameOptions]
        public ActionResult Deny()
        {
            return View();
        }

        [XFrameOptions(Policy = XFrameOptionsPolicy.SameOrigin)]
        public ActionResult SameOrigin()
        {
            return View();
        }
    }
}
