﻿using System;
using System.Web;
using System.Web.Mvc;
using System.Web.SessionState;
using NWebsec.Mvc.HttpHeaders;

namespace MvcDemo.Areas.SessionSecurity.Controllers
{
    public class SessionFixationController : Controller
    {
        //
        // GET: /SessionFixation/

        public ActionResult Index()
        {
            if (Session["value"] == null)
            {
                Session["value"] = "somevalue";
            }
            return View();
        }

        [XRobotsTag(NoIndex = true, NoFollow = true)]
        public ActionResult SetDomainCookie(string id)
        {
            var idManager = new SessionIDManager();
            if (idManager.Validate(id))
            {
                var domain = GetDomain(Request);
                Response.SetCookie(new HttpCookie("ASP.NET_SessionId", id) { Domain = domain });
                ViewBag.SessionID = id;
            }
            return View();
        }

        private string GetDomain(HttpRequestBase request)
        {
            var authority = request.Url.GetLeftPart(UriPartial.Authority);
            return authority.EndsWith("nwebsec.com") ? ".nwebsec.com" : "localhost";
        }
    }
}
