﻿using System;
using System.Web;
using System.Web.Mvc;
using NWebsec.Mvc.HttpHeaders;

namespace UnsecuredDemo.Controllers
{
    [XRobotsTag(NoIndex = true, NoFollow = true)]
    [SetNoCacheHttpHeaders]
    public class CookieTestController : Controller
    {
        private const string CookieName = "TestCookie";
        //
        // GET: /Cookies/

        public ActionResult SetDomainCookie()
        {
            Response.AppendCookie(GetCookie(true, false));
            return new RedirectResult("http://www.nwebsec.com/SessionSecurity/CookieTest");
        }

        private HttpCookie GetCookie(bool domain, bool clear)
        {
            var value = domain ? "domaincookie" : "hostcookie";
            value += "_" + DateTime.UtcNow.ToString("HH:mm:ss");
            var c = new HttpCookie(CookieName, value);
            c.Domain = domain ? ".nwebsec.com" : String.Empty;
            
            if (clear)
            {
                c.Expires = DateTime.UtcNow.AddYears(-10);
            }

            return c;
        }
    }
}
