﻿using System;
using System.Web;
using System.Web.Mvc;
using NWebsec.Mvc.HttpHeaders;

namespace UnsecuredDemo.Controllers
{

    [SetNoCacheHttpHeaders]
    public class SessionFixationAttackerController : Controller
    {
        //
        // GET: /SessionFixationAttacker/

        [Authorize]
        public ActionResult Index()
        {
            if (Session["sensitiveInfo"] != null)
            {
                return RedirectToAction("GetUninitializedSession");
            }
            Session["someOtherInfo"] = "dataToKeepSession";
            return View();
        }

        [Authorize]
        public ActionResult GetUninitializedSession()
        {
            if (Session["sensitiveInfo"] != null)
            {
                    Response.SetCookie(new HttpCookie("ASP.NET_SessionId", "invalid"){Expires = DateTime.UtcNow.AddYears(-1)});
            }
            return RedirectToAction("Index");
        }

        [Authorize]
        public ActionResult TheWait()
        {
            if (Session["sensitiveInfo"]!= null)
            {
                return RedirectToAction("Success");
            }

            ViewBag.sessionData = Session["sensitiveInfo"];
            return View();
        }

        [Authorize]
        public ActionResult Success()
        {
            ViewBag.sessionData = Session["sensitiveInfo"];
            return View();
        }
    }
}
