﻿using System.Web.Mvc;
using NWebsec.HttpHeaders;
using NWebsec.Mvc.HttpHeaders;

namespace UnsecuredDemo.Controllers
{

    [SetNoCacheHttpHeaders]
    public class SessionFixationVictimController : Controller
    {
        //
        // GET: /SessionFixationVictim/
        [Authorize]
        public ActionResult Index()
        {
            ViewBag.sessionData = Session["sensitiveInfo"];
            return View();
        }

        [ValidateInput(false)]
        [XXssProtection(Policy = XXssProtectionPolicy.FilterDisabled)]
        public ActionResult FixSession(string param)
        {
            Session["someInfo"] = "whatever"; //Set something in session to mimick a site that always generates a session on visit.
            ViewBag.Param = param;
            return View();
        }

    }
}
